\chapter{Grain size and Primary Dendrite Arm Spacing control}
\label{ch:chapter_4}
\section{Influence of Grain Size on Mechanical Properties}
In general, for room temperature applications, the yield strength of a metallic component is inversely proportional to the square root of grain size (Hall-Petch relationship). Grain boundaries pin the movement of dislocations by creating lattice mismatch thereby increasing the yield strength \cite{dieter1986mechanical}. In structural components used in the environment at or below the homologous temperature of te material, the mechanical properties (yield strength, fracture toughness, fatigue life) tend to increase with increase in grain boundary area per unit volume (grain size refinement). On the other hand, for components used in high-temperature applications, the reduction in grain size or the increase in grain boundary area per unit volume is detrimental to the creep and stress rupture properties. This is because, a decrease in grain size increases the diffusion rate, thereby increasing the creep rate of the component and thereby inducing shorter service life. The effect of grain size on creep behavior of Nickel-base superalloys has been reported in the literature \cite{Stollof1996, drapier1978high}. In addition to grain size, primary dendrite arm spacing (PDAS) is also reported to have significant impact on the high cycle fatigue life of components fabricated using Nickel alloys \cite{lamm2007effect}. This chapter examines the feasibility of grain size and PDAS control by changing the melt strategy.  

\section{Melt-Scan Strategy}
\label{raster_melt}
\subsection{Conventional Melt Sequence}
The most widely used melt-scan strategy (\Cref{Raster}) in the current AM processes is similar to multi-pass welding. The heat source moves linearly from one end to the other with temporally varying current and velocity. The distance between adjacent raster lines (\textit{H}-hatch spacing) dictates the overlap of the melt pools. As shown in \Cref{Raster}, the scanning can be unidirectional or bidirectional. The angle (\textit{$\phi$}-rastering angle) between the scan direction and a reference axis can also be changed from one layer to the next. Epitaxial solidification of columnar grains within the melt pool and along the build direction is a well-known phenomenon for raster melt-scans[2,27]. The length of the raster scan depends on the geometry of the part being fabricated. Therefore, the local thermal history and solidification conditions are significantly affected by changes in geometry and it is a complex challenge to obtain robust site-specific control over the solidification microstructure using the raster melt-scan strategy for arbitrary geometries.

\begin{figure}
\centering
\captionsetup{justification=centering,margin=1.25cm}
\includegraphics[width=6in]{4_Raster.jpg}
\caption{Types of raster melt-scan (a) unidirectional (b) bidirectional.}
\label{Raster}
\end{figure}

\subsection{Proposed Melt Strategy}
\bigskip As explained in the \Cref{lit_review} in \Cref{ch:chapter_2}, during rapid solidification, the solidification microstructure is primarily dictated by the thermal gradient (\textit{G}) at the liquid-solid interface and velocity of the liquid-solid interface (\textit{R}). The motivation behind the design of new melt-scan strategy is to control the local \textit{G} and \textit{R} during solidification. Localized solidification control leads to consistent and similar solidification microstructure within the whole component. 
\\[8pt]
In this study, continuous melt scan has been replaced by pulsed spot melt scan strategy to achieve localized control over solidification condition. Since electron beam in Arcam\textsuperscript{\textregistered} can move at the high velocities ($\thicksim 4$ $km/s$), the ratio of energy deposition rate to the heat removal or diffusion rate can be so high such that, depending on velocity and power, the raster scan can be made to have a linear energy profile in 1D or areal energy profile in 2D. This complexity makes it challenging to use raster melt strategy to control solidification microstructure for complex geometry. Since point or spot melt has zero velocity, it can be considered as 0-D and it becomes relatively easier to control the solidification phenomenon in complex geometries. Thereby, using spot scan pattern as the design variable is to decouple the process parameters from the geometry of the part being fabricated. To decouple the geometry and achieve localized solidification conditions throughout the area of a particular layer, the 2-D slice of the layer is spatially discretized into smaller sub-domains. \Cref{5spot}(a) shows a schematic of a square area to be melted, which is divided into numerous smaller sub-domains or 'tiles'. The numbers within each sub-domain indicate the sequence in which each of sub-domains will be melted. The horizontal or vertical distance between a sub-domain and the next in the sequence along X and Y axis is termed as external offset (X\textsubscript{1} and Y\textsubscript{1} respectively). External offset is employed to ensure that the melting and solidification of the sub-domains in sequence are independent of each other (i.e. solidification in domain 1 is independent of domain 2). Further, as shown in \Cref{5spot}(b), each sub-domain contains 5 spots at which the electron beam energy is deposited. The 5 spots within one sub-domain can be moved closer or away from each other. The horizontal (X\textsubscript{o}) or vertical (Y\textsubscript{o}) distance between the center spot and one of the fringe spots within the sub-domain is termed as internal point offset. The rationale behind moving the spots closer or farther from each other is to gain control over the solidification parameters (thermal gradient G, liquid-solid interface velocity R and cooling rate G*R) which is vital to control the solidification grain size. This spot melting (Figure 3) pattern is repeated layer-by-layer depending on the geometry of the slice of the particular layer. Since a cubic geometry is chosen for this investigation, the 2-D cross section of the geometry remains constant for all the layers. In this chapter, the experiment was done in advance and then the results were analyzed and rationalized using the results from numerical modeling.     

\begin{figure}
\centering
\captionsetup{justification=centering,margin=1.25cm}
\includegraphics[width=6in]{4_new_scan.jpg}
\caption{Proposed Melt Scan Strategy (a) Partitioning of melt area into subdomains (b)Distribution of spots within one subdomain.}
\label{5spot}
\end{figure}


\section{Experimental Set up}
Samples were fabricated using IN718 powder in an Arcam\textsuperscript{\textregistered} S12 machine with a layer thickness of \SI{50}{\micro\meter} and a bed temperature of 1050\textdegree C. The dimension of the samples was 2x2x2 cm. A layer of 2x2 cm is divided into 40 x 40 overlapping sub-domains on the XY plane. The sub-domains overlap laterally (\SI{500}{\micro\meter} from one aub-domain to the adjacent) to avoid lack of fusion porosity through the build. At each spot, the electron beam is turned on for a constant amount of time (\textit{0.25 ms}). The accelerating voltage (\textit{60 kV}) of the Arcam\textsuperscript{\textregistered} machine cannot be varied. Beam current is a variable, but for this study, uniform beam current of \textit{20 mA} is used at each spot. The external offset value (X\textsubscript{1}=Y\textsubscript{1}=3mm) was chosen based on the predicted heat affected zone during solidification of a sub-domain and is kept constant for all the samples. There are 1600 sub-domains and 8000 spots per layer per sample. Because the number of spots per layer was kept constant, energy deposition per layer (2.4 kJ) remained constant for all the samples. Variation of solidification microstructure between the samples at constant energy density is also to show the significance of the melt strategy on solidification. \Cref{spot_param} shows the values of beam input parameters and internal point offset variable of the proposed scan strategy to be analyzed. The size of the sample and corresponding process parameter window including the number of spots and energy density per layer were chosen based on the previous experience for successful fabrication. Focus coil current of 0 mA was used for fabrication. The focus coil current controls the beam diameter. Analyzing the quantitative relationship between the focus coil current and beam diameter is beyond the scope of this work.  

\begin{table}
\centering
 \begin{tabular}{||c|| c | c | c||} 
 \hline
 Case & Internal Point Offset (\SI{}{\micro\metre}) & Beam Current (mA) & Beam On Time (ms) \\ [0.5ex] 
 \hline\hline
 1 & 200 & 20 & 0.25 \\ 
 
 2 & 400 & 20 & 0.25 \\
 
 3 & 600 & 20 & 0.25 \\
 
 4 & 800 & 20 & 0.25 \\ [1ex] 
 \hline
\end{tabular}
\caption{Values of input parameters of proposed scan strategy}
\label{spot_param}
\end{table} 

\section{Results and Discussions}
\subsection{Melt pool shape}
\Cref{4_sample} shows the image of the fabricated samples on the substrate with varying internal point offset as mentioned in \Cref{spot_param}. On closer observation, variation in surface topology can be noticed. To further investigate this variation, the samples were examined under the optical microscope.  

\begin{figure}
\centering
\captionsetup{justification=centering,margin=1.25cm}
\includegraphics[width=6in]{4_sample.jpg}
\caption{Top view of fabricated samples with internal point offset of (1)\SI{200}{\micro\meter} (2)\SI{400}{\micro\meter} (3)\SI{600}{\micro\meter} (4)\SI{800}{\micro\meter}}
\label{4_sample}
\end{figure}

\Cref{4_meltpool} shows the differences in shape of top surface of the melt pool formed within one sub-domain. All the melt pools were concave in nature wth respect to the surface. From \Cref{4_meltpool} (1) and (2), it can be observed that for samples with internal point offset of \SI{200}{\micro\meter} and \SI{400}{\micro\meter} respectively, the individual melt pools of all the 5 spots merge together to form a single melt pool. While looking at \Cref{4_meltpool} (3), it can be observed that the melt pools begin to pull away from each other forming 'butterfly' like shape and by futher increasing the internal point offset to \SI{800}{\micro\meter}, all the 5 melt pools are completely independent of each other(\Cref{4_meltpool} (4)).    

\begin{figure}
\centering
\captionsetup{justification=centering,margin=1.25cm}
\includegraphics[width=6in]{4_meltpool.jpg}
\caption{The top surface of fabricated samples showing the variation in met-pool shape as a function of internal point offset (1)\SI{200}{\micro\meter} (2)\SI{400}{\micro\meter} (3)\SI{600}{\micro\meter} (4)\SI{800}{\micro\meter}}
\label{4_meltpool}
\end{figure}

All 4 processing conditions were simulated using Truchas (\Cref{ch:chapter_3}) in conduction only mode to verify the solidification behavior. Beam diameter of \SI{200}{\micro\meter} was used in the simulations. \Cref{4_simmeltpool} shows the shape and size of the simulated melt pools captured at the simulation time just before the melt pools start to collapse. The results agree with the experimental results shown in \Cref{4_meltpool}.
\nopagebreak
\begin{figure}
\centering
\captionsetup{justification=centering,margin=1.25cm}
\includegraphics[width=6in]{4_simmeltpool.jpg}
\caption{Size and shape of the top surface of the simulated met-pool as a function of internal point offset (a)\SI{200}{\micro\meter} (b)\SI{400}{\micro\meter} (c)\SI{600}{\micro\meter} (d)\SI{800}{\micro\meter}}
\label{4_simmeltpool}
\end{figure}

\subsection{Variation in Primary Dendrite Arm Spacing}
\subsubsection{Theory}
Hunt [28] derived an analytical formulation for the calculation of  PDAS as a function of solidification conditions and alloy properties with an assumption that the dendrite tip can be approximated as a sphere. Trivedi \cite{trivedi1984interdendritic} extended the model derived by Hunt [28] as shown in \Cref{trivedi_eqn}. Kurz-Fisher et al. \cite{kurz1981dendrite} derived a similar analytical formulation based on the Langer and Muller-Krumbhaar stability criterion \cite{langer1977stability} which assumes that the dendrite tip radius is equal to the wavelength of the instability at the liquid-solid interface. The simplified relationship derived by Kurz-Fisher et al. \cite{kurz1981dendrite} is given in \Cref{kurz_eqn}.

\begin{equation}
\label{trivedi_eqn}
\lambda = 2.83*{\left( \frac{1}{G} \right)^{0.5}}*\left({\frac{\Delta T_o*L*k_p*D*\Gamma}{R}}\right)^{0.25}
\end{equation}

\begin{equation}
\label{kurz_eqn}
\lambda = 4.3*{\left(\frac{\Delta T}{G}\right)^{0.5}}*\left({\frac{D*\Gamma}{R*k_p*\Delta T_o}}\right )^{0.25}
\end{equation} 

where $\lambda$ is the primary dendrite arm spacing, $G$ is the thermal gradient at the liquid-solid interface, $R$ is the velocity of the liquid-solid interface, $\Delta T_o$ is  the temperature difference between equilibrium liquidus and solidus temperature of the alloy, $\Delta T$ is the non-equilibrium solidification range of the alloy, $\Gamma$ is the Gibbs-Thompson co-efficient, $D$ is the diffusion co-efficient , $k_p$ is the partition co-efficient, $L$ is the harmonic function of the perturbation. The material dependent properties in the above equations are listed in \Cref{pdas}.

\begin{table}
\centering
 \begin{tabular}{||c| c | c||} 
 \hline
 Parameter & Value & Unit\\ [0.5ex] 
 \hline\hline
 $L$ & 28 & - \\ 
 
 Partition Co-efficient $k_p$ (Nb)& 0.48 & - \\
 
 Diffusivity $D$ & $3E-9$ & $m^2s^{-1}$ \\
 
 Gibbs Thompson Co-efficient $\Gamma$ & $1E-7$ & - \\
 
 Equilibrium Solidification Range $\Delta T_o$ & 82 & $K$ \\
 
 Non-Equilibrium Solidification Range $\Delta T$ & 200 & $K$ \\ [1ex] 
 \hline
\end{tabular}
\caption{Properties of IN718 used in analytical equations to predict PDAS \cite{lee2014effect}.}
\label{pdas}
\end{table} 

By applying known values for the variables in \Cref{trivedi_eqn} and \Cref{kurz_eqn}, the PDAS can be expressed as a function of just $G$ and $R$.  For IN718, the Trivedi and Kurz-Fisher models can be simplified to \Cref{sim_trivedi_eqn} and \Cref{sim_kurz_eqn} respectively.

\begin{equation}
\label{sim_trivedi_eqn}
\lambda = 2145.952*G^{-0.5}*R^{-0.25}
\end{equation}

\begin{equation}
\label{sim_kurz_eqn}
\lambda = 3195.214*G^{-0.5}*R^{-0.25}
\end{equation}

These analytical equations have been used by Lee et al. \cite{lee2014effect} to predict the PDAS in laser deposited IN718 and the experimental results were found to compare reasonably well with the theoretical prediction. The comparison of the predicted values from the theoretical models and experimentally measured values is discussed in the following section. 
\subsubsection{Experimental Observation}
For IN718 in the Arcam\textsuperscript{\textregistered} process, immediately after the solidification, the columnar dendritic structures formed with microsegregated elements (Mo, Nb) \cite{kirka2016microstructure} between the dendrites. However, because the build chamber was held at an elevated temperature (1000\textdegree C) during the build, the segregated elements diffuse from the interdendritic region into dendrites \cite{zhang2017homogenization, kirka2016microstructure}. Immediately after the melting of the final layer completes, the chamber begins to cool. \Cref{4_temp} shows the experimentally measured temperature profile at the bottom of the substrate during fabrication of the samples.
\\[8pt]
Since rapid cooling commences instantaneously after melting the last layer, segregated elements in the interdendritic region of the melt pool do not have enough time to diffuse and homogenize. The diffusion kinetics of additively fabricated nickel-base superalloy (IN625) has been studied by Zhang et al.\cite{zhang2017homogenization} using synchrotron. At 870\textdegree C, the segregated elements diffused completely in 900 seconds. Since the build for this work was done at 1050\textdegree C, the homogenization kinetics should be equal to or faster than the kinetics reported by Zhang et al.\cite{zhang2017homogenization}. The time taken for fabrication of single layer was about 100 seconds and hence, microsegregation and dendritic structures was observed only in the top few layers (<10) of the samples. Accordingly, after etching, columnar dendrites were observed in the top layers ($\thicksim \SI{500}{\micro\meter}$) and a homogenized, columnar microstructure in the rest of the layers of the fabricated sample.
\\[8pt]
\Cref{4_temp} shows the experimentally measured temperature profile at the bottom of the substrate during fabrication of the samples. Color coded regions shows the different stages of the Arcam\textsuperscript{\textregistered} process. \Cref{fig:4_firstlayertemp}  shows the same data points zoomed during the transition from sintering to melting of the first layer of the samples. The drop in temperature during initial few layers of the build can be attributed to radiative heat loss from the substrate since it is exposed to the ambiance. After few layers, most of the substrate is covered with sintered powder which has low thermal diffusivity and hence the radiative energy loss is minimized to a significant extent. Therefore, measured temperature at the bottom of the substrate stabilizes after initial few layers of the build. 

\begin{figure}
\centering
\captionsetup{justification=centering,margin=1.25cm}
\includegraphics[width=6in]{4_temp.jpg}
\caption{Experimentally Measured Temperature Profile of the bottom of the substrate during the build.}
\label{4_temp}
\end{figure}

\begin{figure}
\centering
\captionsetup{justification=centering,margin=1.25cm}
\includegraphics[width=6in]{4_firstlayertemp.jpg}
\caption{Experimentally Measured Temperature Profile during melting of the first layer.}
\label{fig:4_firstlayertemp}
\end{figure}

Since rapid cooling commences immediately after melting of the last layer, segregated elements in the interdendritic region do not have enough time to diffuse and homogenize. Hence, the characteristics of segregation and dendritic structures can be observed only in the top layers of the samples. \Cref{4_dendrites} shows an example of variation in microstructure as a function of build height. Columnar dendrites were observed in the top layers ($\thicksim \SI{500}{\micro\meter}$) and a homogenized, bulk columnar microstructure in the rest of the layers of the fabricated sample. This phenomenon was observed in all the fabricated samples. The visible dendrites at the top most layers were used to measure the primary dendrite arm spacing (PDAS) of the samples fabricated with the proposed scan strategy. From \Cref{4_dendrites}, it can also be observed that groups of primary dendrites are parallel to each other. The change in the dendritic growth direction between the groups can be attributed to change in the direction of the thermal gradient vector during solidification of overlapping sub-domains in the melt-scan strategy. 

\begin{figure}
\centering
\captionsetup{justification=centering,margin=1.25cm}
\includegraphics[width=6in]{4_dendrites.jpg}
\caption{Visible dendritic morphology on top layers ($\thicksim \SI{500}{\micro\meter}$) of the sample with internal point offset of \SI{200}{\micro\meter}.}
\label{4_dendrites}
\end{figure}

\subsubsection{Numerical Prediction}
From the simulated data, the liquid-solid interface was tracked during solidification and the spatiotemporal values of $G$ and $R$ were extracted for each of the 4 cases specified in \Cref{spot_param}. The PDAS was calculated based on \Cref{sim_trivedi_eqn} and \Cref{sim_kurz_eqn}. \Cref{4_pdas} shows the spatial variation of calculated PDAS within the melt pool for the simulation with $\SI{200}{\micro\meter}$ internal point offset. The depth of the melt-pool $(\thicksim\SI{450}{\micro\meter})$ can also be inferred from \Cref{4_pdas}. The thickness of the powder layer used in the process is $\SI{50}{\micro\meter}$. When the i\textsuperscript{th} layer is melted, the previously solidified melt pools of (i-8) layers are re-melted. Hence, the simulation data from bottom $\SI{50}{\micro\meter}$ of the melt pool was used in all the upcoming calculations to provide the statistics of the solidification microstructure since they are not re-melted during subsequent layers. From \Cref{4_pdas} (a),(b) it can be inferred that the PDAS predicted by the Trivedi and Kurz-Fisher models are about $\SI{8}{\micro\meter}$ and $\SI{12}{\micro\meter}$ respectively. 

\begin{figure}
\centering
\captionsetup{justification=centering,margin=1.25cm}
\includegraphics[width=6in]{4_pdas.jpg}
\caption{Variation (along XZ plane of melt pool) of PDAS predicted by the (a) Trivedi and (b) Kurz-Fisher model.}
\label{4_pdas}
\end{figure}

\Cref{4_pdasGR} shows a colored scatter plot of the variation in PDAS as a function of G and R on a reference solidification map \cite{nastac2001advances} for the columnar-to-equiaxed transition of IN718. Data used in \Cref{4_pdas}(b) is plotted as a function of $G$ and 
$R$ in \Cref{4_pdasGR}. Comparing the distribution of PDAS as a function of melt pool depth (\Cref{4_pdas}(b)) and solidification parameters (G \& R \Cref{4_pdasGR}), it can be observed that the $G$ and $R$ of the bottom region of the metlpool lies within the \SI{12}{\micro\meter}  region in the scatter plot which is consistent with a columnar grain structure. \Cref{fig:3_GRVariation} shows the variation of G and R as a function of solidification time. Following the logic, the area of the map (\Cref{4_pdasGR}) in the equiaxed region corresponds to the top region in the melt pool which will be remelted by the subsequent layers. Hence, the model prediction is consistent with the observation of a columnar microstructure through the entire height of the sample. 

\begin{figure}
\centering
\captionsetup{justification=centering,margin=1.25cm}
\includegraphics[width=6in]{4_pdasGR.jpg}
\caption{Variation of PDAS (Kurz-Fisher model) as a function of G and R on the reference solidification map for the internal point offset of \SI{200}{\micro\meter}.}
\label{4_pdasGR}
\end{figure}

Similarly, the PDAS was predicted for all 4 cases using the coupled numerical-theoretical model. \Cref{4_pdascomp} shows the comparison of mean PDAS (experimental vs predicted) as a function of internal point offset. It can be observed that the PDAS varies from \SI{10}{\micro\meter} to \SI{4}{\micro\meter} when the internal point offset is varied from \SI{200}{\micro\meter} to \SI{800}{\micro\meter}, respectively. The Trivedi model overestimates and the Kurz-Fisher model underestimates the PDAS prediction, but the trends are consistent with the experimental observations. The experimentally measured PDAS data is sandwiched between the two theoretical models but closer to the predictions of the Kurz-Fisher model. 

\begin{figure}
\centering
\captionsetup{justification=centering,margin=1.25cm}
\includegraphics[width=6in]{4_pdascomp.jpg}
\caption{Comparison of numerically predicted and experimentally measured PDAS.}
\label{4_pdascomp}
\end{figure}

\subsection{Variation in Grain Size}
\subsubsection{Theory}
During rapid solidification conditions in AM, the two most probable solidification mechanisms are (a) epitaxial growth and (b) heterogeneous nucleation and growth. During epitaxial growth, the shape of the melt pool plays a crucial role in determining the dendritic growth direction. This phenomenon may be analogous to formation of misoriented grains during the casting of single crystal or directionally solidified alloys. During solidification of single crystals, thermosolutal convection and fragmentation of grains causes the deviation of the primary dendrite growth direction with respect to the direction of the thermal gradient, resulting in the formation of misoriented grains \cite{beckermann2000development, pollock2006nickel, aveson2014origins}. In this study, the deviation of primary dendrites from the build direction has been correlated to the shape of the melt pool. The shape of the melt pool is quantified based on the spatiotemporal distribution of the thermal gradient vector normal to the solid-liquid interface during solidification. 
\\[8pt]
On the other hand, grain size may also be determined by the nucleation density within the liquid melt pool. In a temporal scale, nucleation density controls the nucleation rate. It is valid to assume that nucleation rate dictates the solidification grain size. Nucleation can be either (a) homogeneous or (b) heterogeneous. Heterogeneous nucleation during rapid solidification is primarily due to constitutional supercooling. Compositional gradient at the liquid-solid interface due to segregation affects the local equilibrium liquidus temperature ($T_L$)  near the interface. Depending on the compositional gradient at the liquid-solid interface, G,  R, and the amount of constitutional supercooling varies. For a steep concentration gradient at the interface, $T_L$ at the interface is lowered. When the actual temperature gradient is lower than the temperature gradient at the interface due to spatial variation of $T_L$ , constitutional supercooling occurs at the interface and promotes nucleation ahead of the solidification front. The volume rate of heterogeneous nucleation is defined by \Cref{nucleation_eqn_ch4} \cite{porter2009phase}.

\begin{equation}
\label{nucleation_eqn_ch4}
N_{het} = f * C * exp\left (\frac{-\Delta {{G^*}_{het}}}{{k*T}} \right )
\end{equation}
\\[8pt]
where $N_{het}$ is the heterogeneous nucleation rate per unit volume, $f$ a function of the surface area of the critical nuclei, vibrational frequency of atoms and the activation energy for diffusion in the liquid, $C$ the number of atoms in contact with the nucleation sites per unit volume of the melt pool, and ${{ΔG}^*}_{het}$ the activation energy required to overcome the barrier for heterogeneous nucleation, which is a function of undercooling. Higher undercooling makes it easier to overcome the energy barrier for nucleation.  
\\[8pt]

An empirical study by Uttormark et al. \cite{uttormark1997repeated} analyzed the relationship between undercooling and nucleation rate in a molten spherical aluminum droplet. The nucleation rate of the aluminum droplet was observed to increase with an increase in undercooling. Yang et al. \cite{yang2011cooling} extended the study by developing fast scanning calorimetry to understand the effect of cooling rate on the undercooling of a molten tin droplet. The observation proved that an increase in cooling rate increased the undercooling within the molten droplet. Hence, an increase in the cooling rate of the melt pool increases the undercooling which in turn increases the nucleation density resulting in finer grains. \Cref{derivednucleation_eqn_ch4} can be derived (see \Cref{ch:Appendix-1}) from \Cref{nucleation_eqn_ch4} to show the analytical relationship between undercooling and cooling rate $\left(\dot{T}\right)$  with an assumption that the melt pool is a spherical droplet.

\begin{equation}
\label{derivednucleation_eqn_ch4}
\frac{C_1}{\dot{T}}\int_0^{\Delta_T}{\frac{1}{T^2}*exp\left(-\frac{C_2}{\left({T_m-T}\right)T^2}\right)}dT = 1
\end{equation}

where $C_1$ and $C_2$ are material constants and $T_m$ is the melting point.
\\[8pt]
Hence, the nucleation rate can be controlled by the controlling the cooling rate. The cooling rate of the melt pools in the proposed melt strategy can be predicted. Variation in the predicted cooling rates and corresponding experimental grain size variation are discussed in the next section. 

\subsubsection{Experimental Observation}
EBSD characterization was used to understand the size and morphology of the grains. \Cref{4_grainsize} shows the EBSD data depicting the variation in the size of the columnar grains along the build direction for each melt-scan strategy.

\begin{figure}
\centering
\captionsetup{justification=centering,margin=1.25cm}
\includegraphics[width=6in]{4_grainsize.jpg}
\caption{Variation in grain size and corresponding qualitative texture plot as a function of internal point offset.}
\label{4_grainsize}
\end{figure}

The grains are coarser in sample 1 when the 5 spots merge together to form a single melt pool. The grains become finer as the melt pools move away from each other, i.e. as the internal point offset distance is increased from \SI{200}{\micro\meter} to \SI{800}{\micro\meter}. The grains are not only wider in sample 1 but also longer compared to sample 4, effectively reducing the grain boundary area per unit volume of the sample, which may influence the mechanical behavior of the component. 
\\[8pt]
\Cref{4_quantitativegrainsize} shows the quantitative variation in grain size with respect to the internal point offset. Even though the shape and size of the top surface of the melt-pools from samples 1 and 2 look similar (\Cref{4_meltpool}), the resultant microstructure (\Cref{4_grainsize}) is significantly different. With the help of numerical modeling, Debroy et al. \cite{he2005heat} showed that the subsurface solidification behavior of two similarly shaped melt pools can be significantly different even though their surfaces look similar. Current results reiterate the above argument and calls for further investigation using modeling. The pole figures in \Cref{4_grainsize} also indicate that the tilt of the grains with respect to build direction increases as the internal point offset increases, which may be due to the change in the resultant melt pool shape (3-D). As mentioned earlier, the grain size variation is rationalized considering two solidification phenomenon (a) epitaxial growth (b) heterogeneous nucleation and growth ahead of the solidification front due to undercooling. 

\begin{figure}
\centering
\captionsetup{justification=centering,margin=1.25cm}
\includegraphics[width=6in]{4_quantitativegrainsize.jpg}
\caption{Variation of experimentally measured grain size and area as a function of internal point offset in the proposed melt strategy.}
\label{4_quantitativegrainsize}
\end{figure}

\subsubsection{Epitaxial Growth}
Considering epitaxial growth, the variation in grain size is attributed to changes in the dendritic growth direction. The dendritic growth direction was quantified using the spatiotemporal variation of direction of temperature gradient at the liquid-solid interface during solidification. The growth direction was calculated based on \Cref{direction_eqn_ch4}.

\begin{equation}
\label{direction_eqn_ch4}
\theta = \cos^{-1}\left(\frac{G_z}{G_{resultant}}\right)
\end{equation}

where $\theta$ is the angle between the resultant thermal gradient vector $\left(G_{resultant}\right)$ at the solid-liquid interface and the z-component of the thermal gradient vector $\left(G_z\right)$ which is aligned with the build direction. Like the PDAS calculations, the data was filtered to retain only the bottom \SI{50}{\micro\meter} of the melt pool. Histograms of the distributions of calculated solid-liquid interface growth directions relative to the build direction as calculated from the simulations are shown in \Cref{4_angle}.

\begin{figure}
\centering
\captionsetup{justification=centering,margin=1.25cm}
\includegraphics[width=6in]{4_angle.jpg}
\caption{Distribution of dendritic growth direction of the bottom \SI{50}{\micro\meter} of the melt pool.}
\label{4_angle}
\end{figure}

The curvature at the bottom \SI{50}{\micro\meter} of the simulated melt pools is quantified in \Cref{4_angle} and it can be observed that for the simulation with internal point offset of \SI{200}{\micro\meter} (coarser grains - 1 merged melt pool), the curvature is smaller and the dendrites are well-aligned with the build direction compared to the case with \SI{800}{\micro\meter} internal point offset (finer grains - 5 independent melt pools). Hence, introducing the curvature in the resultant melt pool promotes larger mismatch between the resultant thermal gradient and the fast-growth <001> orientations of the pre-existing grains that solidified during the production of previous layers.

\subsubsection{Heterogeneous Nucleation and Growth}
Changes to the internal point offset also corresponds to significant changes in the cooling rate during solidification. The spatiotemporal variation in cooling rate for different conditions was calculated from the simulations and the probability density distribution is plotted in Figure 15.  It can be observed from \Cref{4_coolingrate} that the cooling rate of the merged melt pool (point offset: \SI{200}{\micro\meter}) is smaller than the 5 independent melt pools (point offset: \SI{800}{\micro\meter}). The cooling rate increases from $2*10^3 K/s$ to $15*10^3 K/s$ if the internal point offset is increased from \SI{200}{\micro\meter} to \SI{800}{\micro\meter} respectively. The cooling rate of the extreme cases differs by a factor of 3-4. 

\begin{figure}
\centering
\captionsetup{justification=centering,margin=1.25cm}
\includegraphics[width=6in]{4_coolingrate.jpg}
\caption{Variation of cooling rate with respect to internal point offset.}
\label{4_coolingrate}
\end{figure}

The higher cooling rates for individual melt pools (\SI{600}{\micro\meter} and \SI{800}{\micro\meter} spacing) shown in \Cref{4_coolingrate} will tend to increase curvature undercooling at the dendrite tips, producing an increased driving force for heterogeneous nucleation \cite{yang2011cooling,uttormark1997repeated,david1989correlation}. However, this alone does not explain the production of highly textured, fine-grained columnar structures as shown in \Cref{4_grainsize}, because if it was the case that heterogeneous nucleation is favored under these conditions, then a weakly textured equiaxed structure would be expected. To rationalize these results, it is necessary to also consider the effect of the distribution of angles between the resultant thermal gradient and build direction as shown in \Cref{4_angle}. Consider a simple case in which the grains from the previous layer have their $<001>$ fast-growth directions perfectly aligned with the build direction. In this case, the distributions of the angles between the thermal gradients and the build direction (\Cref{4_angle}) is also a description of the misorientation between the thermal gradient vector and the dendrite growth direction. For epitaxial growth to continue under these conditions, the component of the dendrite tip velocity aligned with the thermal gradient must equal the velocity of the liquidus isotherm. The dendrite tip velocity in the $<001>$ direction may then be expressed as a function of the solid-liquid interface velocity (R) and the angle between the $<001>$ direction and the thermal gradient \cite{rappaz2009solidification}.

\begin{equation}
\label{R001_eqn_ch4}
R_{<001>} = \frac{R}{\cos \theta}
\end{equation}

Due to this relationship between the thermal gradient vector and the $<001>$ crystallographic direction, larger misorientations result in higher dendrite tip velocities. The undercooling of the dendrite tips increases with the tip velocity, and consequently, with this misorientation angle, creating a region with an increased driving force for heterogeneous nucleation. If indeed nucleation takes place under these conditions, it is expected that the newly nucleated grains would undergo a brief period of competition, resulting in the selection of those grains that have a $<001>$ type crystallographic direction most closely aligned with the thermal gradient vector. These grains will therefore grow with a smaller amount of undercooling, reducing the thermodynamic driving force available for heterogeneous nucleation. The consequence of this mechanism is therefore the nucleation of a small number of equiaxed grains at the edge of the re-melted region, followed by a transition back to columnar growth more closely aligned with the thermal gradient vector. Larger misorientations and higher cooling rates will result in a higher heterogeneous nucleation rate, and therefore, a smaller grain size, consistent with the observations in textured, fine-grained columnar structures as shown in \Cref{4_grainsize} and the simulated distribution of thermal gradient angles in textured, fine-grained columnar structures as shown in \Cref{4_angle}.
\\[8pt]
To test this theory, an experiment was designed in which the melt strategy was changed along the height of the build. A sample of \SI{20}{\milli\meter} was fabricated with the bottom half (\SI{10}{\milli\meter}) of the sample using a raster scan strategy (\SI{0.1}{\milli\meter} hatch spacing) and the top half (\SI{10}{\milli\meter}) of the sample fabricated using a spot melt strategy (20mA, 0.25ms). From previous experience, the raster scan strategy was expected to result in comparatively coarse columnar grains. The occurrence of coarser columnar grains ($600\thicksim\SI{700}{\micro\meter}$) may be due to comparatively flatter bottom surface of the melt pool and therefore, thermal gradients that are more uniformly aligned with the build direction. Alternatively, the spot melt-scan strategy was expected to produce fine columnar grains due to large deviations in the direction of the thermal gradients from the build direction. This experiment was designed to investigate the possibility of heterogeneous nucleation at the transition region due to changes in the thermal gradient relative to the $<001>$ direction of the pre-existing columnar grains.

\begin{figure}
\centering
\captionsetup{justification=centering,margin=1.25cm}
\includegraphics[width=6in]{4_nucleation.jpg}
\caption{Evidence for heterogeneous nucleation by changing the scan strategy along the build direction.}
\label{4_nucleation}
\end{figure}

\Cref{4_nucleation}(a) shows the inverse pole figure of the fabricated sample along the build direction. At the transition region from raster to spot mode, evidence for grain refinement can be observed. To obtain evidence for heterogeneous nucleation in the constitutionally cooled region, which can be challenging, pairs of grains were chosen at the transition region and checked for any common $<001>$ poles. \Cref{4_nucleation}(b) shows that there are no common $<001>$ poles, eliminating the possibility of epitaxial growth in these cases. It appears that at the transition point, heterogenous nucleation occurred, creating a small number of equiaxed grains, which then competed to return to columnar growth. The pole figures in \Cref{4_nucleation}(b) show that pairs of grains observed at the transition region of the sample did not have common $<001>$ poles, supporting the conclusion that these grains nucleated heterogeneously. The results in \Cref{4_nucleation} support the theory that mismatch between the direction of the thermal gradient and the $<001>$ growth direction of the previously existing grains requires a large enough undercooling to enable heterogeneous nucleation to take place. Even though the result in \Cref{4_nucleation} supports the argument, it may not be the conclusive proof since the grains may have grown from out of plane as well. This theory is also consistent with results observed by Helmer et al. \cite{helmer2016grain} in which periodic changes in the direction of the raster pattern produce highly textured columnar grains of different lengths due to changes in the orientation of the resultant thermal gradient.
\\[8pt]
The evidence presented in \Cref{4_nucleation}(b) is only a simplified example of the phenomenon discussed above. In this case, the raster pattern used for the bottom \SI{10}{\milli\meter} of the build produced a coarse columnar structure with grains whose $<001>$ directions are highly oriented with the build direction. However, when solidifying new layers on existing grains with more textural variation (\Cref{4_grainsize}) the relationship between the thermal gradient and the epitaxial growth directions is significantly more complex. Modeling of the resultant thermal gradients across several subsequent layers is necessary to fully understand these effects and may necessitate the use of microscale numerical models for grain nucleation and growth \cite{wei2017three}.

\section{Summary}
\begin{itemize}
\item A new scan strategy was developed to control the size of the columnar grains and the primary dendrite arm spacing. The experimental observations were rationalized using the numerical modeling tool.

\item To rationalize the variation in grain size, two of the most probable solidification mechanisms (epitaxial growth and heterogeneous nucleation) were considered. The thermodynamic driving force available for heterogeneous nucleation was correlated to the local solidification conditions as well as the shape of the resultant melt pool by calculating the dendritic growth direction with respect to build direction. The key factor deciding the grain size was inferred to be the curvature of the resultant melt pool. Increasing the curvature of the melt pool promotes finer grains by increasing the undercooling available for heterogeneous nucleation due to misorientation between the resultant thermal gradient and pre-existing <001> directions of grains from previous layers. The grain size variation is attributed to the nucleation rate which is a function of both the cooling rate and melt pool curvature through undercooling. Hence, controlling the geometry of the resultant melt pool of a layer plays an important role in the development of the grain structure. 

\item A simple experiment was designed and analyzed to show the evidence of heterogeneous nucleation and examine the effect of mismatch between the thermal gradient and epitaxial growth direction. The experimental results support a mechanism based on heterogeneous nucleation followed by grain growth competition and the establishment of new columnar grains with <001> crystallographic directions that are highly oriented with the thermal gradient.   

\item One of the advantages of the proposed melt-scan strategy is that it is localized and allows for consistent solidification microstructure across the build. Localized solidification control partially decouples the effect of geometry and scan strategy on the solidification microstructure. Hence, the same parameters may be used across geometries, provided the geometry is larger than the size of the melt pool. 

\end{itemize}